summaryrefslogtreecommitdiffstats
path: root/jjb
diff options
context:
space:
mode:
authorJessica Wagantall <jwagantall@linuxfoundation.org>2020-11-04 17:59:39 +0000
committerGerrit Code Review <gerrit@onap.org>2020-11-04 17:59:39 +0000
commit0fcb5857c396a9265941aa67babb6fc4cf38b85c (patch)
tree1f6e1f13b3844013db8ea678cf494438ed27fafb /jjb
parent26f67269b31d83814fc9702440810c7d661abc12 (diff)
parenta606c2581be248f23e53df5ae39457d7c99a9943 (diff)
Merge "Move anti-staging images checker to oom repo"
Diffstat (limited to 'jjb')
-rw-r--r--jjb/oom/oom-helm.yaml14
-rw-r--r--jjb/oom/oom-image-verify.yaml27
2 files changed, 29 insertions, 12 deletions
diff --git a/jjb/oom/oom-helm.yaml b/jjb/oom/oom-helm.yaml
index 4b0803c06..71d57744c 100644
--- a/jjb/oom/oom-helm.yaml
+++ b/jjb/oom/oom-helm.yaml
@@ -12,22 +12,10 @@
#!/bin/bash
set -e -o pipefail
cd kubernetes/
- if [ "$GERRIT_BRANCH" != "staging" ]; then
- if grep -r -n -E ':\s*onap/.*:.*(STAGING|SNAPSHOT|latest).*'; then
- echo "[ERROR] Only release images are allowed in helm charts."
- exit 1
- fi
- fi
make all
subproject_build_script: |
#!/bin/bash
cd kubernetes/
- if [ "$GERRIT_BRANCH" != "staging" ]; then
- if grep -r -n -E ':\s*onap/.*:.*(STAGING|SNAPSHOT|latest).*'; then
- echo "[ERROR] Only release images are allowed in helm charts."
- exit 1
- fi
- fi
make common
make {subproject}
oom_post_build_script: !include-raw-escape: shell/publish_helm_charts.sh
@@ -99,6 +87,8 @@
files: 'kubernetes/vnfsdk/**'
jobs:
+ - '{project-name}-{stream}-image-verify':
+ files: '**'
- '{project-name}-{stream}-verify-helm':
build_script: '{oom_build_script}'
files: '**'
diff --git a/jjb/oom/oom-image-verify.yaml b/jjb/oom/oom-image-verify.yaml
new file mode 100644
index 000000000..58240f92a
--- /dev/null
+++ b/jjb/oom/oom-image-verify.yaml
@@ -0,0 +1,27 @@
+---
+- job-template:
+ name: '{project-name}-{stream}-image-verify'
+ project-type: freestyle
+ path: '$WORKSPACE'
+ concurrent: true
+
+ scm:
+ - gerrit-trigger-scm:
+ refspec: '$GERRIT_REFSPEC'
+ choosing-strategy: 'gerrit'
+ submodule-recursive: '{submodule-recursive}'
+
+ triggers:
+ - gerrit-trigger-helm-patch-submitted:
+ status-context: '{project}-Helm-Verify'
+ server: '{server-name}'
+ project: '{project}'
+ branch: '{branch}'
+ files: '{files}'
+
+ builders:
+ - lf-infra-pre-build
+ - shell: 'make check-for-staging-images | true'
+
+ publishers:
+ - infra-shiplogs: